Subject: Re: bug#63871: 29.0.91; JIT native comp triggered to compile loaddefs repeatedly on require

From: Jimmy Wong <[email-masked]>
Date: Sat, 3 Jun 2023 16:11:13 +0100

Thanks, I’m aware of that hook. I just always wanted it to be buried whenever it is created. I suspect this perhaps can be put into nativecomp as an enhancement.
On 3 Jun 2023 at 4:04 PM +0100, Eli Zaretskii <[email-masked]>, wrote:
> > Date: Sat, 3 Jun 2023 15:50:37 +0100
> > From: Jimmy Wong <[email-masked]>
> > Cc: [email-masked]
> >
> > Thanks. I ended up advising get-buffer-create instead as I don’t know how to add a hook to
> > buffer-list-update-hook and not run into an infinite loop.
>
> My suggestion would be to add this function to
> desktop-after-read-hook. Did you try that?